curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/offers/{offerId} \
--header 'Authorization: Bearer <token>'{
"id": "offer-3ugfu-o8duj-vqu770ckmg7ilhp4",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"kind": "Native",
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"txHash": "<string>",
"status": "Pending",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"timestamp": "2023-04-14T20:41:28.715Z",
"expiresAt": "2023-04-14T20:41:28.715Z",
"memo": "<string>",
"settlementTransactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"dateSettled": "2023-04-14T20:41:28.715Z"
}Retrieve information about a specific offer received on your wallet.
curl --request GET \
--url https://api.dfns.io/wallets/{walletId}/offers/{offerId} \
--header 'Authorization: Bearer <token>'{
"id": "offer-3ugfu-o8duj-vqu770ckmg7ilhp4",
"orgId": "or-30tnh-itmjs-s235s5ontr3r23h2",
"walletId": "wa-5pfuu-9euek-h0odgb6snva8ph3k",
"network": "Algorand",
"kind": "Native",
"metadata": {
"asset": {
"symbol": "<string>",
"decimals": 123,
"verified": true,
"quotes": {
"EUR": 123,
"USD": 123
}
}
},
"txHash": "<string>",
"status": "Pending",
"from": "<string>",
"to": "<string>",
"value": "<string>",
"timestamp": "2023-04-14T20:41:28.715Z",
"expiresAt": "2023-04-14T20:41:28.715Z",
"memo": "<string>",
"settlementTransactionId": "tx-583hu-sp2p7-slvb9nqpa3hd8bus",
"dateSettled": "2023-04-14T20:41:28.715Z"
}CustomerEmployee)EndUser)Wallets:Offers:Read: Always required.Bearer Token: Used to authenticate API requests. More details how to generate the token: Authentication flows
Wallet id.
1 - 64Offer id.
1 - 64^offer-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$Success
Offer id.
1 - 64^offer-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"offer-3ugfu-o8duj-vqu770ckmg7ilhp4"
Organization id.
1 - 64^or-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"or-30tnh-itmjs-s235s5ontr3r23h2"
Wallet id.
1 - 64^wa-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"wa-5pfuu-9euek-h0odgb6snva8ph3k"
Algorand, AlgorandTestnet, Aptos, AptosTestnet, ArbitrumOne, ArbitrumSepolia, ArcTestnet, AvalancheC, AvalancheCFuji, BabylonGenesis, BabylonTestnet5, Base, BaseSepolia, Berachain, BerachainBepolia, Bitcoin, BitcoinSignet, BitcoinTestnet3, BitcoinCash, Bob, BobSepolia, Bsc, BscTestnet, Canton, CantonTestnet, Cardano, CardanoPreprod, Concordium, ConcordiumTestnet, Celo, CeloAlfajores, Codex, CodexSepolia, CosmosHub4, CosmosIcsTestnet, Dogecoin, DogecoinTestnet, Ethereum, EthereumClassic, EthereumClassicMordor, EthereumSepolia, EthereumHolesky, EthereumHoodi, FantomOpera, FantomTestnet, FlareC, FlareCCoston2, FlowEvm, FlowEvmTestnet, Hedera, HederaTestnet, Ink, InkSepolia, InternetComputer, Ion, IonTestnet, Iota, IotaTestnet, Kaspa, Kusama, KusamaAssetHub, Litecoin, LitecoinTestnet, Near, NearTestnet, Optimism, OptimismSepolia, Origyn, Plasma, PlasmaTestnet, Plume, PlumeSepolia, Paseo, PaseoAssetHub, Polkadot, PolkadotAssetHub, Polygon, PolygonAmoy, Polymesh, PolymeshTestnet, Race, RaceSepolia, SeiAtlantic2, SeiPacific1, Solana, SolanaDevnet, Starknet, StarknetSepolia, Stellar, StellarTestnet, Sui, SuiTestnet, Tezos, TezosGhostnet, Tempo, TempoModerato, Tsc, TscTestnet1, Ton, TonTestnet, Tron, TronNile, Westend, WestendAssetHub, XrpLedger, XrpLedgerTestnet Native, Aip21, Asa, Coin, Cip56, Erc20, Erc721, Asset, Hip17, Hts, Sep41, Spl, Spl2022, Snip2, Snip3, Tep74, Trc10, Trc20, Trc721, Cis7, Cis2, Iou, Xls33 Show child attributes
Pending, Accepted, Rejected, Withdrawn, Expired ^\d+(\.\d+)?$Transaction id.
1 - 64^tx-[a-z0-9]{5}-[a-z0-9]{5}-[a-z0-9]{14,16}$"tx-583hu-sp2p7-slvb9nqpa3hd8bus"
Was this page helpful?